> ## Documentation Index
> Fetch the complete documentation index at: https://docs.data-wizard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new extractor

> Creates a SavedExtractor resource.



## OpenAPI

````yaml api-reference/openapi.json post /api/extractors
openapi: 3.1.0
info:
  title: DataWizard.ai API
  description: API access to DataWizard data extraction
  contact:
    name: Lukas Mateffy
    url: https://mateffy.me
    email: hey@mateffy.me
  license:
    name: ''
    url: ''
  version: 1.0.0
servers:
  - url: https://data-wizard.ai
    description: Data Wizard API
  - url: https://data-wizard.test
    description: Local Development API
security:
  - Personal Access Token: []
tags:
  - name: ExtractionBucket
  - name: ExtractionRun
    description: An in-progress or completed extraction run
  - name: SavedExtractor
paths:
  /api/extractors:
    post:
      tags:
        - SavedExtractor
      summary: Create a new extractor
      description: Creates a SavedExtractor resource.
      operationId: api_apiextractors_post
      parameters:
        - name: model
          in: query
          description: SavedExtractor model
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: output_instructions
          in: query
          description: SavedExtractor output_instructions
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
      requestBody:
        description: The new SavedExtractor resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SavedExtractor'
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/SavedExtractor.jsonapi'
          application/ld+json:
            schema:
              $ref: '#/components/schemas/SavedExtractor.jsonld'
          text/csv:
            schema:
              $ref: '#/components/schemas/SavedExtractor.csv'
          text/html:
            schema:
              $ref: '#/components/schemas/SavedExtractor'
        required: true
      responses:
        '201':
          description: SavedExtractor resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SavedExtractor'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/SavedExtractor.jsonapi'
            application/ld+json:
              schema:
                $ref: '#/components/schemas/SavedExtractor.jsonld'
            text/csv:
              schema:
                $ref: '#/components/schemas/SavedExtractor.csv'
            text/html:
              schema:
                $ref: '#/components/schemas/SavedExtractor'
          links: {}
        '400':
          description: Invalid input
          links: {}
        '422':
          description: Validation Error
          links: {}
      deprecated: false
components:
  schemas:
    SavedExtractor:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        label:
          type:
            - string
            - 'null'
        jsonSchema:
          type: string
        outputInstructions:
          type:
            - string
            - 'null'
        pageTitle:
          type:
            - string
            - 'null'
        introductionViewHeading:
          type:
            - string
            - 'null'
        introductionViewDescription:
          type:
            - string
            - 'null'
        introductionViewNextButtonLabel:
          type:
            - string
            - 'null'
        bucketViewHeading:
          type:
            - string
            - 'null'
        bucketViewDescription:
          type:
            - string
            - 'null'
        bucketViewBackButtonLabel:
          type:
            - string
            - 'null'
        bucketViewContinueButtonLabel:
          type:
            - string
            - 'null'
        bucketViewBeginButtonLabel:
          type:
            - string
            - 'null'
        extractionViewHeading:
          type:
            - string
            - 'null'
        extractionViewDescription:
          type:
            - string
            - 'null'
        extractionViewBackButtonLabel:
          type:
            - string
            - 'null'
        extractionViewContinueButtonLabel:
          type:
            - string
            - 'null'
        extractionViewRestartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewStartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewCancelButtonLabel:
          type:
            - string
            - 'null'
        extractionViewPauseButtonLabel:
          type:
            - string
            - 'null'
        resultsViewHeading:
          type:
            - string
            - 'null'
        resultsViewDescription:
          type:
            - string
            - 'null'
        resultsViewBackButtonLabel:
          type:
            - string
            - 'null'
        resultsViewSubmitButtonLabel:
          type:
            - string
            - 'null'
        allowDownload:
          type: boolean
        enableWebhook:
          type: boolean
        webhookUrl:
          type:
            - string
            - 'null'
        redirectUrl:
          type:
            - string
            - 'null'
        model:
          type:
            - string
            - 'null'
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        chunkSize:
          type:
            - integer
            - 'null'
        lastRanAt:
          readOnly: true
          type:
            - string
            - 'null'
        typedSchema:
          readOnly: true
          type:
            - string
            - 'null'
        embeddedUrl:
          readOnly: true
          type:
            - string
            - 'null'
        fullPageUrl:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
    SavedExtractor.jsonapi:
      type: object
      description: ''
      deprecated: false
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                _id:
                  readOnly: true
                  type: string
                deletedAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                createdAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                updatedAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                strategy:
                  type: string
                label:
                  type:
                    - string
                    - 'null'
                jsonSchema:
                  type: string
                outputInstructions:
                  type:
                    - string
                    - 'null'
                pageTitle:
                  type:
                    - string
                    - 'null'
                introductionViewHeading:
                  type:
                    - string
                    - 'null'
                introductionViewDescription:
                  type:
                    - string
                    - 'null'
                introductionViewNextButtonLabel:
                  type:
                    - string
                    - 'null'
                bucketViewHeading:
                  type:
                    - string
                    - 'null'
                bucketViewDescription:
                  type:
                    - string
                    - 'null'
                bucketViewBackButtonLabel:
                  type:
                    - string
                    - 'null'
                bucketViewContinueButtonLabel:
                  type:
                    - string
                    - 'null'
                bucketViewBeginButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewHeading:
                  type:
                    - string
                    - 'null'
                extractionViewDescription:
                  type:
                    - string
                    - 'null'
                extractionViewBackButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewContinueButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewRestartButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewStartButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewCancelButtonLabel:
                  type:
                    - string
                    - 'null'
                extractionViewPauseButtonLabel:
                  type:
                    - string
                    - 'null'
                resultsViewHeading:
                  type:
                    - string
                    - 'null'
                resultsViewDescription:
                  type:
                    - string
                    - 'null'
                resultsViewBackButtonLabel:
                  type:
                    - string
                    - 'null'
                resultsViewSubmitButtonLabel:
                  type:
                    - string
                    - 'null'
                allowDownload:
                  type: boolean
                enableWebhook:
                  type: boolean
                webhookUrl:
                  type:
                    - string
                    - 'null'
                redirectUrl:
                  type:
                    - string
                    - 'null'
                model:
                  type:
                    - string
                    - 'null'
                includeText:
                  type: boolean
                includeEmbeddedImages:
                  type: boolean
                markEmbeddedImages:
                  type: boolean
                includePageImages:
                  type: boolean
                markPageImages:
                  type: boolean
                chunkSize:
                  type:
                    - integer
                    - 'null'
                lastRanAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                typedSchema:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                embeddedUrl:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                fullPageUrl:
                  readOnly: true
                  type:
                    - string
                    - 'null'
            relationships:
              type: object
              properties:
                runs:
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                            format: iri-reference
          required:
            - type
            - id
        included:
          description: Related resources requested via the "include" query parameter.
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/SavedExtractor.jsonapi'
          readOnly: true
          externalDocs:
            url: https://jsonapi.org/format/#fetching-includes
    SavedExtractor.jsonld:
      type: object
      description: ''
      deprecated: false
      properties:
        '@context':
          readOnly: true
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          readOnly: true
          type: string
        '@type':
          readOnly: true
          type: string
        id:
          readOnly: true
          type: string
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        label:
          type:
            - string
            - 'null'
        jsonSchema:
          type: string
        outputInstructions:
          type:
            - string
            - 'null'
        pageTitle:
          type:
            - string
            - 'null'
        introductionViewHeading:
          type:
            - string
            - 'null'
        introductionViewDescription:
          type:
            - string
            - 'null'
        introductionViewNextButtonLabel:
          type:
            - string
            - 'null'
        bucketViewHeading:
          type:
            - string
            - 'null'
        bucketViewDescription:
          type:
            - string
            - 'null'
        bucketViewBackButtonLabel:
          type:
            - string
            - 'null'
        bucketViewContinueButtonLabel:
          type:
            - string
            - 'null'
        bucketViewBeginButtonLabel:
          type:
            - string
            - 'null'
        extractionViewHeading:
          type:
            - string
            - 'null'
        extractionViewDescription:
          type:
            - string
            - 'null'
        extractionViewBackButtonLabel:
          type:
            - string
            - 'null'
        extractionViewContinueButtonLabel:
          type:
            - string
            - 'null'
        extractionViewRestartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewStartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewCancelButtonLabel:
          type:
            - string
            - 'null'
        extractionViewPauseButtonLabel:
          type:
            - string
            - 'null'
        resultsViewHeading:
          type:
            - string
            - 'null'
        resultsViewDescription:
          type:
            - string
            - 'null'
        resultsViewBackButtonLabel:
          type:
            - string
            - 'null'
        resultsViewSubmitButtonLabel:
          type:
            - string
            - 'null'
        allowDownload:
          type: boolean
        enableWebhook:
          type: boolean
        webhookUrl:
          type:
            - string
            - 'null'
        redirectUrl:
          type:
            - string
            - 'null'
        model:
          type:
            - string
            - 'null'
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        chunkSize:
          type:
            - integer
            - 'null'
        lastRanAt:
          readOnly: true
          type:
            - string
            - 'null'
        typedSchema:
          readOnly: true
          type:
            - string
            - 'null'
        embeddedUrl:
          readOnly: true
          type:
            - string
            - 'null'
        fullPageUrl:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
    SavedExtractor.csv:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        label:
          type:
            - string
            - 'null'
        jsonSchema:
          type: string
        outputInstructions:
          type:
            - string
            - 'null'
        pageTitle:
          type:
            - string
            - 'null'
        introductionViewHeading:
          type:
            - string
            - 'null'
        introductionViewDescription:
          type:
            - string
            - 'null'
        introductionViewNextButtonLabel:
          type:
            - string
            - 'null'
        bucketViewHeading:
          type:
            - string
            - 'null'
        bucketViewDescription:
          type:
            - string
            - 'null'
        bucketViewBackButtonLabel:
          type:
            - string
            - 'null'
        bucketViewContinueButtonLabel:
          type:
            - string
            - 'null'
        bucketViewBeginButtonLabel:
          type:
            - string
            - 'null'
        extractionViewHeading:
          type:
            - string
            - 'null'
        extractionViewDescription:
          type:
            - string
            - 'null'
        extractionViewBackButtonLabel:
          type:
            - string
            - 'null'
        extractionViewContinueButtonLabel:
          type:
            - string
            - 'null'
        extractionViewRestartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewStartButtonLabel:
          type:
            - string
            - 'null'
        extractionViewCancelButtonLabel:
          type:
            - string
            - 'null'
        extractionViewPauseButtonLabel:
          type:
            - string
            - 'null'
        resultsViewHeading:
          type:
            - string
            - 'null'
        resultsViewDescription:
          type:
            - string
            - 'null'
        resultsViewBackButtonLabel:
          type:
            - string
            - 'null'
        resultsViewSubmitButtonLabel:
          type:
            - string
            - 'null'
        allowDownload:
          type: boolean
        enableWebhook:
          type: boolean
        webhookUrl:
          type:
            - string
            - 'null'
        redirectUrl:
          type:
            - string
            - 'null'
        model:
          type:
            - string
            - 'null'
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        chunkSize:
          type:
            - integer
            - 'null'
        lastRanAt:
          readOnly: true
          type:
            - string
            - 'null'
        typedSchema:
          readOnly: true
          type:
            - string
            - 'null'
        embeddedUrl:
          readOnly: true
          type:
            - string
            - 'null'
        fullPageUrl:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
  securitySchemes:
    Personal Access Token:
      type: http
      description: Value for the http bearer parameter.
      scheme: bearer
      bearerFormat: JWT

````